import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;

import java.util.concurrent.TimeUnit;

public class Login {

    WebDriver driver;

    public Login(WebDriver driver) {
        this.driver = driver;
        this.driver.manage().timeouts().implicitlyWait(3, TimeUnit.SECONDS);
    }

    public WebElement getNavBar() {
        return driver.findElement(By.cssSelector("a.menu-nav__profile-button"));
    }

    public WebElement getSignInBox() {
        return driver.findElement(By.cssSelector("#sign-in-modal-link"));
    }

    public WebElement getSignInButton() {
        return driver.findElement(By.cssSelector("#btnSignIn"));
    }

    public WebElement getEmailBox() {
        return driver.findElement(By.cssSelector("#label-email"));
    }

    public WebElement getPasswordBox() {
        return driver.findElement(By.cssSelector("#label-password"));
    }


    public void login(String email, String password) throws InterruptedException {
        getNavBar().click();
        getSignInBox().click();
        getEmailBox().sendKeys(email);
        getPasswordBox().sendKeys(password);
        getSignInButton().click();

    }
}
