

import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.chrome.ChromeDriver;
import org.testng.annotations.AfterTest;
import org.testng.annotations.BeforeTest;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;
import static org.junit.Assert.assertEquals;


public class Driver {

    private String email;
    private String password;
    private String url;
    private WebDriver driver;

    @BeforeTest
    public void init() throws IOException {

        url = "https://www.safeway.com/";

        // Read properties file
        InputStream inputStream = null;
        try {
            Properties prop = new Properties();
            String propFileName = "credentials.properties";

            inputStream = Driver.class.getClassLoader().getResourceAsStream(propFileName);

            if (inputStream != null) {
                prop.load(inputStream);
            } else {
                throw new FileNotFoundException("property file '" + propFileName + "' not found in the classpath");
            }

            email = prop.getProperty("email");
            password = prop.getProperty("password");

        } catch (Exception e) {
            System.out.println("Exception: " + e);
        } finally {
            inputStream.close();
        }

        // instantiate driver
        driver = new ChromeDriver();
        driver.get(url);

        System.out.println("hello there");
    }

    @AfterTest
    public void tearDown() {
        driver.close();
    }

    @Test
    public void loginTest() throws InterruptedException {

        System.out.println("hello");

        Login login  = new Login(driver);
        login.login(email, password);

        AccountSettings accountSettings = new AccountSettings(this.driver);
        accountSettings.getAccountSettingsLink();
        String firstNameActual = accountSettings.getFirstName();
        String lastNameActual = accountSettings.getLastName();

        assertEquals(firstNameActual, "Alex");
        assertEquals(lastNameActual, "Alex");

    }
}
